Bug 594498 - RFE: Update to rebuild against ghc-utf8-string
RFE: Update to rebuild against ghc-utf8-string
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghc-X11-xft (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 16:41 EDT by Ben Boeckel
Modified: 2010-06-21 09:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: ghc-X11-xft-0.3-8.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 09:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-05-20 16:41:17 EDT
Description of problem:
I'm preparing to package xmobar (Bug #460974). xmobar crashes if xft is not built without utf8 support (and using an xft from cabal causes confusion and mass hysteria for some reason; maybe xmonad/xmobar not liking linking different builds?).

I see that X11-xft was rebuilt for rawhide, any plans for F-13 and lower?
Comment 1 Jens Petersen 2010-05-23 21:14:16 EDT
What happens if you remove ghc-utf8-string*?

I think this confusion came about by ghc-6.12.1
accidently shipping a copy of utf8-string.

But you are right we should really rebuild
all the packages that depend on it.
Comment 2 Ben Boeckel 2010-05-23 21:57:21 EDT
Then xmobar is not built against it and crashes with UTF-8 characters in window titles. This has been fixed in xmobar 0.11 (not sure where, xmobar or xft), but the packages should still be rebuilt.
Comment 3 Jens Petersen 2010-05-24 00:10:27 EDT
Need more details: point being that ghc-6.12.1 already includes utf8-string-0.3.4.
Comment 4 Jens Petersen 2010-05-24 00:12:37 EDT
So for current f13 probably better to drop the dependency for now.

(I agree packages need rebuilding but that takes some time,
so just suggesting "workarounds" for now.:)
Comment 5 Jens Petersen 2010-05-26 22:39:18 EDT
(xmobar should build fine in rawhide/f14 anyway so you could
still go ahead with its review - I will try to work on this
soon if noone else gets to it first.  I blame ghc for
shipping utf8-string in ghc-6.12.1! :)
Comment 6 Jens Petersen 2010-06-02 06:25:52 EDT
I started this with rebuild of ghc-X11-xft
http://koji.fedoraproject.org/koji/taskinfo?taskID=2224600

Next will be ghc-xmonad-contrib.
Comment 7 Fedora Update System 2010-06-02 23:15:37 EDT
ghc-X11-xft-0.3-8.fc13,ghc-xmonad-contrib-0.9.1-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ghc-X11-xft-0.3-8.fc13,ghc-xmonad-contrib-0.9.1-4.fc13
Comment 8 Fedora Update System 2010-06-03 14:16:42 EDT
ghc-X11-xft-0.3-8.fc13, ghc-xmonad-contrib-0.9.1-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-X11-xft ghc-xmonad-contrib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ghc-X11-xft-0.3-8.fc13,ghc-xmonad-contrib-0.9.1-4.fc13
Comment 9 Fedora Update System 2010-06-21 09:05:18 EDT
ghc-X11-xft-0.3-8.fc13, ghc-xmonad-contrib-0.9.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.